<root>
  <!--        7.0.1 SupportAssistant      -->
  <file type="sql" path="..\from_0700\0550_701-SupportAssistant_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SaDeviceStatus" />
    </condition>
    <transactionPart path="..\from_0700\0550_701-SupportAssistant_20_PK_CE.sql"/>
  </file>

  <!--        7.1-SDK     -->
  <file type="sql" path="..\from_0701\0570_71-SDK_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SdkElement" />
    </condition>
    <transactionPart path="..\from_0701\0570_71-SDK_20_PK_CE.sql"/>
    <transactionPart path="..\from_0701\0570_71-SDK_30_IX_FK.sql"/>
    <transactionPart path="..\from_0701\0570_71-SDK_50_PluginVersion.sql"/>
  </file>

  <!--       to 7.1.1     -->
  <file type="sql"  path="..\from_0710-2012R2_andUp\0580_10_PrinterTransform.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="PrinterTransform" />
    </condition>
    <transactionPart path="..\from_0710-2012R2_andUp\0580_20_PrinterTransform_PK_CE.sql"/>
  </file>

  <!--       to 7.1.2     - bug 9790   -->
  <file type="sql" path="..\from_0710-2012R2_andUp\0600_712_2012-R2-FP2_SdkElement_10.sql" isContainer="true">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true">
      <param name="@TableName"  value="SdkElementAttributeData" />
      <param name="@ColumnName" value="NumericValue" />
    </condition>
    <transactionPart path="..\from_0710-2012R2_andUp\0600_712_2012-R2-FP2_SdkElement_20_TextValue_CE.sql"/>
  </file>
  
  <!--       to 8.0-2013_R1     -->
  <file type="sql" path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_06_Alter.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="ME2Category" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_10_Tables.sql"                 />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_20_PK_CE.sql"                  />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_30_IX_FK.sql"                  />
    <transactionPart path="..\from_0712_2012-R2-FP2\0600_80-Discovery_DeviceDiscovery_60_Upgrade_InitialData_CE.sql" />
  </file>

  <file type="sql" path="..\from_0712_2012-R2-FP2\0620_80_NewColumns.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"   value="Device"            />
      <param name="@ColumnName"  value="IsRespondingToArp" />
    </condition>
  </file>

  <file type="sql" path="..\from_0712_2012-R2-FP2\0630_80_ManagedElement_dropParentGuid.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true">
      <param name="@TableName"   value="ManagedElement"        />
      <param name="@ColumnName"  value="ParentGuid"            />
    </condition>
  </file>

  <!-- drop AK_Script_ScriptGuid_Version CE only -->
  <file type="sql" path="..\from_0712_2012-R2-FP2\0650_80_CE_drop_AK_Script.sql" isContainer="false">
    <condition path="..\Condition\01150_UniqueConstraintExists.sql" applyIf="true">
      <param name="@ConstraintName"  value="AK_Script_ScriptGuid_Version" />
    </condition>
  </file>
  
  <file type="sql" path="..\from_0712_2012-R2-FP2\0640_80-Automation_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="ScriptTargetOSLink" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0640_80-Automation_20_PK_CE.sql"              />
  </file>

  <file type="sql" path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_10_Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="WindowsEventNT6Monitor" />
    </condition>
    <transactionPart path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_20_CE.sql"         />
    <transactionPart path="..\from_0712_2012-R2-FP2\0660_80-WindowsEvent_30_FK.sql"         />
  </file>

  <!--       to 8.1    -->
  <file type="sql" path="..\from_801_2013-R1\0670_81-SDK.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElementType" />
      <param name="@ColumnName" value="SchemaName" />
    </condition>
  </file>  
  <file type="sql"   path="..\from_801_2013-R1\0680_81-Misc.sql" isContainer="false" />

  <!--       to 8.3    -->
  <file type="sql" path="..\from_820_2013-R1-FP2\0690_83_Drop_VmInfo_MachineGuid_UC.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="VmInfo" />
      <param name="@ConstraintName" value="VmInfo_MachineGuid_UC" />
    </condition>
  </file>
  <file type="sql" path="..\from_820_2013-R1-FP2\7000_83-WSMAN.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="DiscoveryDeviceWmiData" />
      <param name="@ColumnName" value="WSManEnabled" />
    </condition>
  </file>
  <file type="sql" path="..\from_820_2013-R1-FP2\7010_83-Misc.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="WindowsEventMonitoringBookmark" />
      <param name="@ColumnName"     value="LastWindowsEventTimeRecordedInTicks" />
    </condition>
  </file>

  <!--       to 9.0     -->
  <file type="sql" path="..\from_830_2013-R1-FP3\7030_90-Alerting_10-Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="AlertAttributeType" />
    </condition>
    <transactionPart path="..\from_830_2013-R1-FP3\7030_90-Alerting_20-CE.sql"    />
    <transactionPart path="..\from_830_2013-R1-FP3\7030_90-Alerting_30-FK.sql"         />
  </file>

  <file type="sql" path="..\from_830_2013-R1-FP3\7050_90-AV_10-CE.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Cert" />
    </condition>
  </file>
  <file type="sql" path="..\from_830_2013-R1-FP3\7060_90-DeviceClassification.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="DeviceExclusionRule" />
      <param name="@ColumnName"     value="ArpMacAddress" />
    </condition>
  </file>

  <file type="sql" path="..\from_830_2013-R1-FP3\7090_90-Automation_10-Tables.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false" >
      <param name="@TableName"  value="AutomatedTaskPackage" />
    </condition>
    <transactionPart path="..\from_830_2013-R1-FP3\7090_90-Automation_20-CE.sql"    />
    <transactionPart path="..\from_830_2013-R1-FP3\7090_90-Automation_30-FK.sql"    />
  </file>

  <file type="sql"  path="..\from_830_2013-R1-FP3\7100_90-PatchManagement_20-CE.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"      value="PatchManagedDevice" />
      <param name="@ColumnName"     value="WaitingForPatchDownload" />
    </condition>
  </file>

  <!--       to 9.0.1      -->
  <!--<file type="sql" path="..\from_900_2014-R1\7110_901-Misc.sql" />-->
  <file type="sql"  path="..\from_900_2014-R1\7110_901_MonitorAttribute-Name_CE.sql"  isContainer="false">
    <condition path="..\Condition\01170_ColumnCharLengthEquals.sql" applyIf="false">
      <param name="@TableName"           value="MonitorAttribute" />
      <param name="@ColumnName"          value="Name" />
      <param name="@ColumnLengthInChar"  value="200" />
    </condition>
  </file>

  <!--  only for CE -->
  <file type="sql"  path="..\from_900_2014-R1\7120_901_PatchApprovalUpdate_CE.sql"  isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false" >
      <param name="@TableName"  value="PatchApprovalUpdate" />
    </condition> 
     <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="MwusDevice" />
    </condition>
  </file>
  <file type="sql"  path="..\from_901\7150_910-RemoteControl.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="Device" />
      <param name="@ColumnName"     value="SshName" />
    </condition>
  </file>

  <!--       to 9.1.0      -->
  <file type="sql"  path="..\from_901\7140_910-Alerting_10-Tables.sql">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="WindowsEventAlertRuleOccurrences" />
    </condition>
    <transactionPart path="..\from_901\7140_910-Alerting_20-CE.sql"    />
  </file>

  <!-- to 9.2  -->
  <file type="sql"  path="..\from_910\7160_920-RemoteControl_CE.sql"  isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="RemoteControl_PremiumDevice" />
    </condition>
  </file>
  <file type="sql"  path="..\from_910\7170_920-Misc.sql"  isContainer="false" />


  <!-- to 9.2-SP1  -->
  <file type="sql"  path="..\from_910\7180_Device_Excluded.sql"  isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="Device" />
      <param name="@ColumnName" value="Excluded" />
    </condition>
  </file>

  <file type="sql"  path="..\from_92_SP1\7220_100-SimplConf_AutomatedTaskInstanceStatus.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="AutomatedTaskInstanceStatus" />
      <param name="@ColumnName"     value="ScheduleID" />
    </condition>
  </file>

  <file type="sql"  path="..\from_92_SP1\7230_100-SimplConf_DeviceRoleCategory.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="DeviceCoreInfo" />
      <param name="@ColumnName"     value="DeviceRoleCategory" />
    </condition>
  </file>

  <file type="sql"  path="..\from_92_SP1\7240_100-SimplConf_PatchAgentConfiguration_CE.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="true">
      <param name="@TableName"      value="PatchAgentConfiguration" />
      <param name="@ColumnName"     value="ScheduledInstallDay" />
    </condition>
  </file>
  
  <file type="sql"  path="..\from_92_SP1\7242_100-SimplConf_PatchAgentConfigurations-DROP_CE.sql"  isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="true" >
      <param name="@TableName" value="PatchAgentConfigurations" />
    </condition>
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="MwusDevice" />
    </condition>
  </file>

  <!--  to 10.0. 2016-R1-MR1     -->  
  <file type="sql" path="..\from_v_100_2016-GA\7420_101-Asset_MEAData_NewIndex.sql" isContainer="false">
    <condition path="..\Condition\01192_IndexExists_CE.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElementAttributeData"                                      />
      <param name="@IndexName"  value="ManagedElementAttributeData_ManagedElementAttributeTypeGuid_IX"    />
    </condition>
  </file>
  
  <!--  to  10.1.0 2016-R1-SP1   -->
  <file type="sql" path="..\from_v_100_2016-GA\7290_WindowsEventMonitorBookmark.sql" isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"      value="WindowsEventMonitoringBookmark" />
      <param name="@ColumnName"     value="LastWindowsEventRecordID" />
    </condition>
  </file>

  <!-- Assets migration to concrete tables -->
  <file type="sql" path="..\from_v_100_2016-GA\7400_101-Asset_10-Metadata.sql" isContainer="false" />
  
  <file type="sql" path="..\from_v_100_2016-GA\7400_101-Asset_20-Tables_10-CE.sql" isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="Asset_Software" />
    </condition>
  </file>

  <!-- do only if there is no ManagedElement_ManagedElementTypeGuid_IX index  - new in 10.1-SP1-->
  <file type="sql" path="..\from_v_100_2016-GA\7410_101-Asset_DeleteOldData_10-CE.sql" isContainer="false">
    <condition path="..\Condition\01192_IndexExists_CE.sql" applyIf="false">
      <param name="@TableName"  value="ManagedElement"                                      />
      <param name="@IndexName"  value="ManagedElement_ManagedElementTypeGuid_IX"    />
    </condition>
  </file>

  <!-- for CE the index is created before deletion from ME/MEAData-->
  <file type="sql"  path="..\from_v_100_2016-GA\7430_110-Alerting.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="SyslogAlertRuleOccurrences" />
    </condition>
    <transactionPart path="..\from_v_100_2016-GA\7430_110-Alerting_Search_10-CE.sql"     />
  </file>

  <!-- now remove one FK created by from_92_SP1\7220_100-SimplConf_AutomatedTaskInstanceStatus.sql - bug 251662 -->
  <file type="sql" path="..\from_v_101_2016-SP1\7224_102_Drop_AutomatedTaskInstanceStatus_Schedule_FK.sql" isContainer="false">
    <condition path="..\Condition\01130_FKExists.sql" applyIf="true">
      <param name="@FKName"      value="AutomatedTaskInstanceStatus_Schedule_FK" />
    </condition>
  </file>

  <file type="sql"  path="..\from_v_101_2016-SP1\7440_102_OpenAlert_ChangePK_CE.sql"  isContainer="false" />
  <file type="sql"  path="..\from_v_101_2016-SP1\7450_102_Misc.sql" isContainer="false" />

  <!-- Patch_ and Mwus_ tables to match Express -->
  <file type="sql"  path="..\from_v_102_2016-SP2\7460_103_PatchTablesFromExpress_CE.sql"   isContainer="true">
    <condition  path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="MwusDevice" />
    </condition>
    <transactionPart path="..\from_v_102_2016-SP2\7500_103_PatchTablesCE.sql"     />
  </file>

  <!-- 103-Infrascale-Bugs -->
  <file type="sql"  path="..\from_v_102_2016-SP2\800_103_InfrascaleTable.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false">
      <param name="@TableName"  value="PluginConfiguration" />
      <param name="@ColumnName" value="DateModified" />
    </condition>
  </file>

  <!-- 110-NetworkAssesment -->
  <file type="sql"  path="..\from_v_103_2017-SP3\7600_110_NetworkAssesment_CeOnly.sql"   isContainer="false">
    <condition path="..\Condition\01120_ColumnExists.sql" applyIf="false" >
      <param name="@TableName"  value="ManagedElementType" />
      <param name="@ColumnName" value="IsForSite" />
    </condition>
  </file>
  
  <!-- 111-UnifiedAV -->
  <file type="sql"  path="..\from_v_110_2017_GA\7605_111_AV_CE.sql"   isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="true" >
      <param name="@TableName"  value="AVCC_time_zones" />
    </condition>
    <transactionPart path="..\from_v_110_2017_GA\7607_111_Bugs_CE.sql" />
  </file>

  <!-- 112-SP2 (NA) -->
  <file type="sql"  path="..\from_v_111_2017_SP1\7610_115_CE.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false"  >
      <param name="@TableName" value="Security_WifiInfo" />
    </condition>
  </file>

  <!-- 113-SP3 -->
  <file type="sql"  path="..\from_v_112_2017_SP2_MR1\7612_113_SP3_CE.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Security_ThirdPartyFirewallInfo" />
    </condition>
  </file>

  <!-- 113-SP3-MR1 -->
  <file type="sql"  path="..\from_v_113_2018_SP3\7620_113_SP3_MR1_CE.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="MwusRevisionSupersedesUpdate" />
    </condition>
  </file>

  <!-- 114-SP4-MR1 -->
  <file type="sql"  path="..\from_v_114_2018_SP4\7630_114_SP4_MR1_CE.sql"   isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Win32_BaseBoard" />
    </condition>
    <transactionPart path="..\from_v_114_2018_SP4\7636_114_SP4_MR1.sql" />
  </file>
  
  <!-- 114-SP4-MR2-->
  <file type="sql"  path="..\from_v_114_2018_SP4\7638_114_SP4_MR2.sql"   isContainer="false">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="true">
      <param name="@TableName"  value="MBSAAlertRule" />
    </condition>
  </file>

  <!-- 120 -->
  <file type="sql"  path="..\from_v_115_2019_SP5\03_120_CE_Schema.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="AvastAgent" />
    </condition>
    <transactionPart path="..\from_v_115_2019_SP5\04_120_AVDataChanges.sql" />
    <transactionPart path="..\from_v_115_2019_SP5\06_120_ASMDataChanges.sql" />
    <transactionPart path="..\from_v_115_2019_SP5\07_120_MEDataChanges.sql" />
  </file>

  <!-- 121 -->
  <file type="sql" path="..\from_v_120_2019\03_121_SchemaDataChange.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="ASM_IVNT_DeviceDesiredState" />
      <param name="@ConstraintName" value="FK_ASM_IVNT_DeviceDesiredState_Device" />
    </condition>
  </file>
  
  <!-- 121 MR1 -->
  <file type="sql"  path="..\from_v_121_2020\04_121_MR1_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Win32_Printer" />
    </condition>
    <transactionPart path="..\from_v_121_2020\05_121_MR1_DataChange.sql" />
  </file>
  
  <!-- 122 -->
  <file type="sql"  path="..\from_v_121_2020_SP1_MR1\01_122_SP2_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName"  value="Asset_Device" />
    </condition>
    <transactionPart path="..\from_v_121_2020_SP1_MR1\02_122_SP2_DataChanges.sql" />
  </file>

  <!-- 122 SP3 -->
  <file type="sql" path="..\from_v_122_2020\01_123_SP3_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="IBUAgentDeploymentStatus" />
    </condition>
    <transactionPart path="..\..\..\SQL_CE\123_InitalData_IBU.sql" />
  </file>

  <!-- 122 SP4 -->
  <file type="sql" path="..\from_v_123_2021\01_124_SP4_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="ASM_IVNT_PatchNow" />
    </condition>
    <transactionPart path="..\from_v_123_2021\03_124_SP4_DataChanges.sql" />
    <transactionPart path="..\..\..\SQL_CE\124_InitialData_MicrosoftDefender.sql" />   
  </file>

  <file type="sql" path="..\from_v_123_2021\01_124_SP4_SchemaChange_FK.sql" isContainer="false">
    <condition path="..\Condition\01160_TableConstraintExists.sql" applyIf="true">
      <param name="@TableName"      value="ASM_IVNT_DeviceDesiredState" />
      <param name="@ConstraintName" value="FK_ASM_IVNT_DeviceDesiredState_Device_Cascade_Delete" />
    </condition>
  </file>

  <!-- 122 SP5 -->
  <file type="sql" path="..\from_v_124_2021\02_125_SP5_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="Asset_IBUAgent" />
    </condition>
    <transactionPart path="..\from_v_124_2021\03_125_SP5_DataChanges.sql" />
  </file>

  <!-- 126 SP6 -->
  <file type="sql" path="..\from_v_125_2022\02_126_SP6_SchemaChange_CE.sql" isContainer="true">
    <condition path="..\Condition\01110_TableExists.sql" applyIf="false">
      <param name="@TableName" value="BitLockerSettings" />
    </condition>
    <transactionPart path="..\from_v_125_2022\03_126_SP6_DataChanges.sql" />
  </file>

	<!-- 127 SP7 -->
	<file type="sql" path="..\from_v_126_2022_MR1\02_127_SP7_SchemaChange_CE.sql" isContainer="true">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="Security_OpenPortInfo" />
		</condition>
		<transactionPart path="..\from_v_126_2022_MR1\03_127_SP7_DataChanges.sql" />
	</file>

	<!-- 23.1 -->
	<file type="sql" path="..\from_v_127_2022_2\02_231_SchemaChange_CE.sql" isContainer="true">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="S1Deployment" />
		</condition>
		<transactionPart path="..\from_v_127_2022_2\03_231_DataChanges.sql" />
	</file>

	<!-- 23.2 -->
	<file type="sql" path="..\from_v_231_2023_1\02_232_SchemaChange_CE.sql" isContainer="true">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="Asset_BitlockerRecoveryKey" />
		</condition>
		<transactionPart path="..\from_v_231_2023_1\03_232_DataChanges.sql" />
	</file>

	<!-- 23.3 -->
	<file type="sql" path="..\from_v_232_2023_2\02_233_SchemaChange_CE.sql" isContainer="false">
		<condition path="..\Condition\01110_TableExists.sql" applyIf="false">
			<param name="@TableName" value="BitLockerPolicyDevice" />
		</condition>
	</file>
  <!-- 23.4 there is no changes between 23.3 - 23.4-->
  <!-- 24.1 there is no changes between 23.4 - 24.1-->

	<!-- on any upgrade starting from to 10.0.1 2016-R1-SP1  -->
  <file type="sql" path="..\0800_RemoteStaleEntries_Discovery_Table.sql" isContainer="false"/>
 
  <!-- Initial data -->
  <file type="sql" path="..\..\..\SQL_CE\024_InitialData_Patching.sql"              />
  <file type="sql" path="..\..\..\SQL_CE\037_InitalData_64.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\038_InitialData_70x.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_10_0710_ME.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_60_0800_ME2.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_61_0800_UpdateToMEConcreteTables.sql"/>
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_70_0800_InitialData_Credentials.sql"  />
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_71_0900_InitialData_Alerting.sql" />  
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_810_90-NativeAV.sql"  />

  <!--  Keep in the end of Inital Data -->
  <file type="sql" path="..\..\..\SQL_CE\039_InitialData_9999_ManagedElementAttribute_IsMonitored.sql"  />
</root>